#include "lib/shared.fx"
#include "lib/structs.fx"

static const float3 vLightDir = -normalize( float3(0, -0.3, 1.0) );


SPosCol vsMain( SPosNCol i ) {
	SPosCol o;
	o.pos	= mul( i.pos, mViewProj );
	float3 n = mul( i.normal, (float3x3)mView );

	float diff = abs( dot( n, vLightDir ) ) * 0.7 + 0.4;
	o.color = i.color * diff;
	return o;
}



technique tec11
{
	pass P0 {
		VertexShader = compile vs_1_1 vsMain();
		PixelShader = NULL;
		CullMode = None;

		ColorOp[0]	 = SelectArg1;
		ColorArg1[0] = Diffuse;
		AlphaOp[0]	 = SelectArg1;
		AlphaArg1[0] = Diffuse;
		ColorOp[1]	 = Disable;
		AlphaOp[1]	 = Disable;
	}
	pass PLast {
		CullMode = <iCull>;
	}
}
